<template>
	<span>
		<span v-if="item">
			<button class="btn btn-primary" data-toggle="modal" v-bind:data-target="'#' + id" v-on:click="fillForm()">{{ title }}</button>
		</span>
		<span v-if="!item">
			<button class="btn btn-primary" data-toggle="modal" v-bind:data-target="'#' + id">{{ title }}</button>
		</span>
	</span>
</template>

<script>
    export default {
    	props:["id", "title","item", "url"],
    	methods:{
    		fillForm: function() {
    			axios.get(this.url + this.item.id).then(res => {
    				console.log(res.data);
	    			this.$store.commit("setItem", res.data);
    			});
    		}
    	}
    }
</script>
